| SX126x-Arduino 2.0.1

Data Fields
sLoRaMacParams Struct Reference
LoRa MAC layer implementation

`#include <LoRaMac.h>`

## Data Fields
int8_t | ChannelsTxPower
int8_t | ChannelsDatarate
uint32_t | SystemMaxRxError
uint8_t | MinRxSymbols
uint32_t | MaxRxWindow
uint32_t | ReceiveDelay1
uint32_t | ReceiveDelay2
uint32_t | JoinAcceptDelay1
uint32_t | JoinAcceptDelay2
uint8_t | ChannelsNbRep
uint8_t | Rx1DrOffset
Rx2ChannelParams_t | Rx2Channel
uint8_t | UplinkDwellTime
uint8_t | DownlinkDwellTime
float | MaxEirp
float | AntennaGain

## Detailed Description

Global MAC layer parameters

## Field Documentation

## ◆ ChannelsTxPower

int8_t sLoRaMacParams::ChannelsTxPower

Channels TX power

## ◆ ChannelsDatarate

int8_t sLoRaMacParams::ChannelsDatarate

Channels data rate

## ◆ SystemMaxRxError

uint32_t sLoRaMacParams::SystemMaxRxError

System overall timing error in milliseconds. [-SystemMaxRxError : +SystemMaxRxError] Default: +/-10 ms

## ◆ MinRxSymbols

uint8_t sLoRaMacParams::MinRxSymbols

Minimum required number of symbols to detect an Rx frame Default: 6 symbols

## ◆ MaxRxWindow

uint32_t sLoRaMacParams::MaxRxWindow

LoRaMac maximum time a reception window stays open

## ◆ ReceiveDelay1

uint32_t sLoRaMacParams::ReceiveDelay1

Receive delay 1

## ◆ ReceiveDelay2

uint32_t sLoRaMacParams::ReceiveDelay2

Receive delay 2

## ◆ JoinAcceptDelay1

uint32_t sLoRaMacParams::JoinAcceptDelay1

Join accept delay 1

## ◆ JoinAcceptDelay2

uint32_t sLoRaMacParams::JoinAcceptDelay2

Join accept delay 1

## ◆ ChannelsNbRep

uint8_t sLoRaMacParams::ChannelsNbRep

Number of uplink messages repetitions [1:15] (unconfirmed messages only)

## ◆ Rx1DrOffset

uint8_t sLoRaMacParams::Rx1DrOffset

Datarate offset between uplink and downlink on first window

## ◆ Rx2Channel

Rx2ChannelParams_t sLoRaMacParams::Rx2Channel

LoRaMAC 2nd reception window settings

## ◆ UplinkDwellTime

uint8_t sLoRaMacParams::UplinkDwellTime

Uplink dwell time configuration. 0: No limit, 1: 400ms

## ◆ DownlinkDwellTime

uint8_t sLoRaMacParams::DownlinkDwellTime

Downlink dwell time configuration. 0: No limit, 1: 400ms

## ◆ MaxEirp

float sLoRaMacParams::MaxEirp

Maximum possible EIRP

## ◆ AntennaGain

float sLoRaMacParams::AntennaGain

Antenna gain of the node

The documentation for this struct was generated from the following file:

- src/mac/LoRaMac.h